> ## Documentation Index
> Fetch the complete documentation index at: https://docs.decodahealth.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Care Plan Logs

> Get the audit trail for a care plan.



## OpenAPI

````yaml get /user/patient/care-plans/{care_plan_id}/logs
openapi: 3.1.0
info:
  title: Decoda API
  description: External API documentation for the Decoda Health platform.
  version: '1.0'
servers: []
security: []
paths:
  /user/patient/care-plans/{care_plan_id}/logs:
    get:
      tags:
        - Care Plans
      summary: Get Care Plan Logs
      description: Get the audit trail for a care plan.
      operationId: get_care_plan_logs_user_patient_care_plans__care_plan_id__logs_get
      parameters:
        - name: TENANT
          in: header
          required: true
          schema:
            type: string
            title: Tenant
          description: The tenant you are making this request on behalf of
        - name: API-KEY
          in: header
          required: true
          schema:
            type: string
            title: Api-Key
          description: Your api key
        - name: care_plan_id
          in: path
          required: true
          schema:
            type: string
            title: Care Plan Id
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/CarePlanLogSummary'
                title: >-
                  Response Get Care Plan Logs User Patient Care Plans  Care Plan
                  Id  Logs Get
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    CarePlanLogSummary:
      properties:
        id:
          type: string
          title: Id
        carePlanId:
          type: string
          title: Careplanid
        stepId:
          anyOf:
            - type: string
            - type: 'null'
          title: Stepid
        action:
          $ref: '#/components/schemas/CarePlanLogAction'
        fieldName:
          anyOf:
            - $ref: '#/components/schemas/CarePlanLogField'
            - type: 'null'
        oldValue:
          anyOf:
            - type: string
            - type: 'null'
          title: Oldvalue
        oldValueId:
          anyOf:
            - type: string
            - type: 'null'
          title: Oldvalueid
        newValue:
          anyOf:
            - type: string
            - type: 'null'
          title: Newvalue
        newValueId:
          anyOf:
            - type: string
            - type: 'null'
          title: Newvalueid
        source:
          $ref: '#/components/schemas/CarePlanLogSource'
        batchId:
          anyOf:
            - type: string
            - type: 'null'
          title: Batchid
        createdById:
          anyOf:
            - type: string
            - type: 'null'
          title: Createdbyid
        cycleId:
          anyOf:
            - type: string
            - type: 'null'
          title: Cycleid
        cyclePass:
          anyOf:
            - type: integer
            - type: 'null'
          title: Cyclepass
        createdDate:
          type: string
          format: date-time
          title: Createddate
      type: object
      required:
        - id
        - carePlanId
        - action
        - source
        - createdDate
      title: CarePlanLogSummary
      description: Summary view of a care plan audit log entry.
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    CarePlanLogAction:
      type: string
      enum:
        - CREATED
        - REMOVED
        - FIELD_CHANGED
        - STATUS_CHANGED
        - CYCLE_CREATED
        - CYCLE_UPDATED
        - CYCLE_REMOVED
      title: CarePlanLogAction
      description: What kind of change was made to a care plan or one of its steps.
    CarePlanLogField:
      type: string
      enum:
        - NAME
        - DESCRIPTION
        - START_DATE
        - TAG_IDS
        - LOCATION_ID
        - ASSIGNED_BY_ID
        - STEP_NUMBER
        - STEP_TYPE
        - STEP_DESCRIPTION
        - MESSAGE_TYPE
        - MINUTES_AFTER_PREVIOUS
        - PARENT_STEP_ID
        - SOURCE_SERVICE_ID
        - SCHEDULED_DATE
        - STATUS
        - EVENT_ID
        - TASK_ID
        - TASK_TITLE
        - TASK_PRIORITY
        - TASK_ASSIGNEE_ID
        - TASK_TEAM_ID
        - TASK_DESCRIPTION
        - TASK_DUE_DATE
        - TASK_START_DATE
        - TASK_STATUS
        - SERVICE_IDS
        - MEDICATION_IDS
        - MEASUREMENTS
        - SMS_BODY
        - BRANCH_SELECTED
        - BRANCH_ID
        - BRANCH_NAME
        - BRANCH_POSITION
        - BRANCH_TAG_IDS
        - CYCLE_PASS_COUNT
        - CYCLE_GAP_MINUTES
      title: CarePlanLogField
      description: >-
        Identifies which field was modified in a FIELD_CHANGED or STATUS_CHANGED
        log entry.
    CarePlanLogSource:
      type: string
      enum:
        - USER
        - PATIENT_SELF_SCHEDULE
        - EVENT_SYNC
        - TASK_SYNC
        - BRANCH_SELECTION
        - CYCLE_EDIT_THIS
        - CYCLE_EDIT_FUTURE
        - CYCLE_EDIT_ALL
        - CYCLE_PROPAGATION
        - CYCLE_MATERIALIZATION
      title: CarePlanLogSource
      description: How a care plan change was triggered.
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError

````